package communication.messages;

import floor.input.InputEvent;

/**
 * Elevator request message to get an elevator to pickup a passenger at the
 * request floor
 */
public class ElevatorRequestMessage implements Message {
	private static final long serialVersionUID = 9129281418305106060L;
	private final InputEvent inputEvent;

	/**
	 * Elevator request message to get an elevator to pickup a passenger at the
	 * request floor
	 *
	 * @param inputEvent the input event
	 */
	public ElevatorRequestMessage(InputEvent inputEvent) {
		this.inputEvent = inputEvent;
	}

	public InputEvent getInputEvent() {
		return inputEvent;
	}

	@Override
	public String toString() {
		return "ElevatorRequestMessage [inputEvent=" + inputEvent + "]";
	}
}
